> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowscale.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Queue

> Retrieves the queue data for all ComfyUI instances in the cluster. This includes information about running and pending tasks in each instance's queue.



## OpenAPI

````yaml GET /api/v1/comfy/queue
openapi: 3.1.0
info:
  title: FlowScale ComfyUI API
  version: 2.0.0
servers:
  - url: https://your-deployment-api-url.pod.flowscale.ai
    description: 'Pod #your-pod (Default)'
  - url: '{apiEndpoint}'
    description: Deployed API Endpoint
    variables:
      apiEndpoint:
        default: https://your-domain.com
        description: Your project's deployed API endpoint
security: []
paths:
  /api/v1/comfy/queue:
    get:
      tags:
        - comfy
      summary: Get Queue
      description: >-
        Retrieves the queue data for all ComfyUI instances in the cluster. This
        includes information about running and pending tasks in each instance's
        queue.
      operationId: get_queue_api_v1_comfy_queue_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ComfyQueueResponseWrapper'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ComfyQueueResponseWrapper:
      properties:
        status:
          type: string
          title: Status
        data:
          items:
            $ref: '#/components/schemas/ComfyQueueResponseItem'
          type: array
          title: Data
        errors:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Errors
        meta:
          anyOf:
            - type: object
            - type: 'null'
          title: Meta
      type: object
      required:
        - status
        - data
      title: ComfyQueueResponseWrapper
    ComfyQueueResponseItem:
      properties:
        comfy_uri:
          type: string
          title: Comfy Uri
        queue:
          type: object
          title: Queue
      type: object
      required:
        - comfy_uri
        - queue
      title: ComfyQueueResponseItem
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````